This is a model of an Exocet anti-ship missile

The archive includes the model in obj format and the skin in png format
and blend and xcf files are also included. Modeled using Blender 2.49b

licence:

GNU GPL v2 (or at your option any later version)

Author is Mystic Mike (Mike Hosker)


Have Fun!!



